package demo


import grails.util.Environment
import demo.CustomerService

class BootStrap {
    CustomerService customerService	// spring dependency injection!

    def init = { servletContext ->
        if (Environment.current == Environment.DEVELOPMENT) {
            customerService.createTestCustomers(log)
        }
        if (Environment.current == Environment.PRODUCTION) {
            if (Customer.count()==0)
                customerService.createTestCustomers(log)
        }
    }



    def destroy = {
    }
}
